Skip to main content
GET
/
api2
/
v1
/
transMemories
/
{transMemoryUid}
/
export
Export translation memory
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/transMemories/{transMemoryUid}/export \
  --header 'Authorization: <api-key>'
import requests

url = "https://cloud.memsource.com/web/api2/v1/transMemories/{transMemoryUid}/export"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://cloud.memsource.com/web/api2/v1/transMemories/{transMemoryUid}/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

transMemoryUid
string
required

Translation memory UID

Query Parameters

format
enum<string>
default:TMX

Export file format

Available options:
TMX,
XLSX
targetLang
string[]

Target language locales to include; defaults to all TM target langs

Response

OK